Create a sub account Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/plans/{plan_uuid}/sub-accounts

Path parameters

  • plan_uuid string Required
application/json

Body

  • name string Required

    Descriptive name of the sub account

  • policy_number string

    Sub account policy number

  • proposal_reference string

    Sub account proposal number

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • policy_number string
    • latest_valuation object
      Hide latest_valuation attributes Show latest_valuation attributes object
      • uuid string
      • created_at string
      • updated_at string
      • valued_at string
      • value object
        Hide value attributes Show value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • sub_account object
        Hide sub_account attributes Show sub_account attributes object
        • uuid

          UUID of the sub account

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was created.

        • name

          Descriptive name of the sub account

        • policy_number

          Provider reference of the sub account

        • is_main_account

          Denotes if the sub account a main account of the plan

        • statistics

          The statistics on a sub account. Only displayed when you retrieve an individual sub-account.

    • is_main_account boolean
    • active_portfolio object
      Hide active_portfolio attributes Show active_portfolio attributes object
      • uuid string
      • created_at string
      • updated_at string
      • is_proposed boolean
      • proposed_at string
      • name string
    • statistics object
      Hide statistics attribute Show statistics attribute object
      • recent_growth integer
  • 409 application/json

    Plan is being deleted

    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • policy_number string
    • latest_valuation object
      Hide latest_valuation attributes Show latest_valuation attributes object
      • uuid string
      • created_at string
      • updated_at string
      • valued_at string
      • value object
        Hide value attributes Show value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • sub_account object
        Hide sub_account attributes Show sub_account attributes object
        • uuid

          UUID of the sub account

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was created.

        • name

          Descriptive name of the sub account

        • policy_number

          Provider reference of the sub account

        • is_main_account

          Denotes if the sub account a main account of the plan

        • statistics

          The statistics on a sub account. Only displayed when you retrieve an individual sub-account.

    • is_main_account boolean
    • active_portfolio object
      Hide active_portfolio attributes Show active_portfolio attributes object
      • uuid string
      • created_at string
      • updated_at string
      • is_proposed boolean
      • proposed_at string
      • name string
    • statistics object
      Hide statistics attribute Show statistics attribute object
      • recent_growth integer
POST /api/v1/plans/{plan_uuid}/sub-accounts
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Johns ISA","policy_number":"AVF-4355432","proposal_reference":"BtMWiy0JwHtogU4"}'
Request examples
{
  "name": "Johns ISA",
  "policy_number": "AVF-4355432",
  "proposal_reference": "BtMWiy0JwHtogU4"
}
Response examples (200)
{
  "uuid": "90ae7474-8737-4dcd-9f11-e174df4ea736",
  "created_at": "2026-07-17T15:25:29+01:00",
  "updated_at": "2026-07-17T15:25:29+01:00",
  "name": "John's ISA",
  "policy_number": "AVI-4837",
  "latest_valuation": {
    "uuid": "1951a30e-d9c7-4bc5-aa59-56339271bc5b",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "valued_at": "2026-07-17T15:25:29+01:00",
    "value": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "sub_account": {
      "uuid": "f23d94db-f447-4616-8cf2-297dd45e6389",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "John's ISA",
      "policy_number": "AVI-4837",
      "is_main_account": false,
      "statistics": {
        "recent_growth": 100
      }
    }
  },
  "is_main_account": false,
  "active_portfolio": {
    "uuid": "f9f82a46-05e9-490d-9716-2a4d6e015923",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "is_proposed": true,
    "proposed_at": "2026-07-17T00:00:00+01:00",
    "name": "Risky Portfolio"
  },
  "statistics": {
    "recent_growth": 100
  }
}
Response examples (409)
{
  "uuid": "90ae7474-8737-4dcd-9f11-e174df4ea736",
  "created_at": "2026-07-17T15:25:29+01:00",
  "updated_at": "2026-07-17T15:25:29+01:00",
  "name": "John's ISA",
  "policy_number": "AVI-4837",
  "latest_valuation": {
    "uuid": "1951a30e-d9c7-4bc5-aa59-56339271bc5b",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "valued_at": "2026-07-17T15:25:29+01:00",
    "value": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "sub_account": {
      "uuid": "f23d94db-f447-4616-8cf2-297dd45e6389",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "John's ISA",
      "policy_number": "AVI-4837",
      "is_main_account": false,
      "statistics": {
        "recent_growth": 100
      }
    }
  },
  "is_main_account": false,
  "active_portfolio": {
    "uuid": "f9f82a46-05e9-490d-9716-2a4d6e015923",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "is_proposed": true,
    "proposed_at": "2026-07-17T00:00:00+01:00",
    "name": "Risky Portfolio"
  },
  "statistics": {
    "recent_growth": 100
  }
}